%define glib2_version 2.6.0
%define pango_version 1.8.0
%define gtk2_version 2.6.0
%define gnome_vfs2_version 2.13.4
%define libgnomeui_version 2.6.0
%define libgnomeprint_version 2.7.1
%define libgnomeprintui_version 2.7.1
%define desktop_file_utils_version 0.9
%define gail_version 1.2.0
%define gtksourceview_version 1.1.91
%define pygtk_version 2.7.1
%define gnome_python_desktop_version 2.13.3
%define gnome_doc_utils_version 0.3.2

%define po_package gedit

Summary:	gEdit is a small but powerful text editor for GNOME.
Name:		gedit
Version: 	2.14.0
Release: 	1	
Epoch:		1
License:	GPL
Group:		Applications/Editors
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gedit/2.8/gedit-%{version}.tar.bz2
URL:		http://gedit.sourceforge.net/
BuildRoot:	%{_tmppath}/gedit-%{version}-root

PreReq:		scrollkeeper >= 0.1.4
PreReq:		GConf2
PreReq:         desktop-file-utils >= %{desktop_file_utils_version}

# Make the file selector remember last window size
Patch0: gedit-2.13.2-filesel.patch
%ifarch ppc64,x86_64,ia64,s390x
Patch1: gedit-2.13.90-libdir.patch
%endif

BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: pango-devel >= %{pango_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: gnome-vfs2 >= %{gnome_vfs2_version}
BuildRequires: libgnomeui-devel >= %{libgnomeui_version}
BuildRequires: libgnomeprintui22-devel >= %{libgnomeprintui_version}
BuildRequires: libgnomeprint22-devel >= %{libgnomeprint_version}
BuildRequires: desktop-file-utils >= %{desktop_file_utils_version}
BuildRequires: aspell-devel
BuildRequires: gail-devel >= %{gail_version}
BuildRequires: gtksourceview-devel >= %{gtksourceview_version}
BuildRequires: scrollkeeper gettext
BuildRequires: pygtk2-devel >= %{pygtk_version}
BuildRequires: python-devel
BuildRequires: gnome-python2-gtksourceview >= %{gnome_python_desktop_version}
BuildRequires: gnome-python2-gtksourceview >= %{gnome_python_desktop_version}
BuildRequires: gnome-doc-utils >= %{gnome_doc_utils_version}

Requires: libgnomeui >= %{libgnomeui_version}
Requires: libgnomeprintui22 >= %{libgnomeprintui_version}
Requires: gtksourceview >= %{gtksourceview_version}
Requires: pygtk2 >= %{pygtk_version}
Requires: gnome-python2-gtksourceview >= %{gnome_python_desktop_version}

%description
gEdit is a small but powerful text editor designed specifically for
the GNOME GUI desktop.  gEdit includes a plug-in API (which supports
extensibility while keeping the core binary small), support for
editing multiple documents using notebook tabs, and standard text
editor functions.

You'll need to have GNOME and GTK+ installed to use gEdit.

%package devel
Summary: The files needed for developing plug-ins for the gEdit editor.
Group: Development/Libraries
# pkgconfig
Requires: %{name} = %{epoch}:%{version}-%{release}
Requires: gtksourceview-devel
Requires: libgnomeprintui22-devel
Requires: pygtk2-devel >= %{pygtk_version}

%description devel
gEdit is a small but powerful text editor for the GNOME GUI desktop.
This package allows you to develop plug-ins that work within gEdit.

Install gedit-devel if you want to write plug-ins for gEdit.

%prep
%setup -n gedit-%{version} -q

%patch0 -p1 -b .filesel
%ifarch ppc64,x86_64,ia64,s390x
%patch1 -p1 -b .libdir
%endif

%build
%configure --disable-scrollkeeper --enable-python
make

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

desktop-file-install --vendor gnome --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-only-show-in GNOME                                  \
  --add-category X-Red-Hat-Base                             \
  $RPM_BUILD_ROOT%{_datadir}/applications/*

## clean up all the static libs for plugins (workaround for no -module)
/bin/rm -f `find $RPM_BUILD_ROOT%{_libdir}/gedit-2/plugins -name "*.a"`
/bin/rm -f `find $RPM_BUILD_ROOT%{_libdir}/gedit-2/plugins -name "*.la"`

/bin/rm -rf $RPM_BUILD_ROOT/var/scrollkeeper

%find_lang %{po_package}

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database %{_datadir}/applications
scrollkeeper-update
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="gedit.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done

# update icon themes
touch %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi

%postun
update-desktop-database %{_datadir}/applications
scrollkeeper-update

%files -f %{po_package}.lang
%defattr(-, root, root)
%doc README COPYING ChangeLog TODO AUTHORS 
%{_datadir}/gedit-2
%{_datadir}/pixmaps
%{_datadir}/gnome
%{_datadir}/omf
%{_datadir}/applications
%{_mandir}/man1/*
%{_libdir}/gedit-2
%{_bindir}/*
%{_sysconfdir}/gconf/schemas/*


%files devel
%defattr(-, root, root)
%{_includedir}/gedit-2.14
%{_libdir}/pkgconfig/gedit-2.14.pc

%changelog
* Mon Mar 13 2006 Matthias Clasen <mclasen@redhat.com> 2.14.0-1
- Update to 2.14.0

* Tue Feb 28 2006 Karsten Hopp <karsten@redhat.de> 2.13.92-2	
- BuildRequire: gnome-doc-utils

* Sun Feb 26 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.92-1
- Update to 2.13.92

* Wed Feb 15 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.91-1
- Update to 2.13.91

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 1:2.13.90-3.1
- bump again for double-long bug on ppc(64)

* Mon Feb  6 2006 John (J5) Palmieri <johnp@redhat.com> - 1:2.13.90-3
- Add dependancy on gnome-python2-desktop

* Mon Feb  6 2006 Matthias Clasen <mclasen@redhat.com> - 1:2.13.90-2
- Enable python again
- Fix multiarch problem

* Mon Jan 30 2006 Matthias Clasen <mclasen@redhat.com> - 1:2.13.90-1
- Update to 2.13.90

* Thu Jan 26 2006 Matthias Clasen <mclasen@redhat.com> - 1:2.13.4-1
- Update to 2.13.4

* Mon Jan 16 2006 Matthias Clasen <mclasen@redhat.com> - 1:2.13.3-1
- Update to 2.13.3

* Sun Jan 13 2006 Matthias Clasen <mclasen@redhat.com> - 1:2.13.2-1
- Update to 2.13.2
- Update the persistent file selector size patch (again!)

* Sun Jan  8 2006 Dan Williams <dcbw@redhat.com > - 1:2.13.1-2
- Fix up and re-enable persistent file selector size patch

* Tue Jan  3 2006 Matthias Clasen <mclasen@redhat.com> - 1:2.13.1-1
- Update to 2.13.1
- Disable scrollkeeper

* Wed Dec 21 2005 Jeremy Katz <katzj@redhat.com> - 1:2.13.0-3
- fix gedit-devel requirement to include epoch

* Tue Dec 20 2005 Matthias Clasen <mclasen@redhat.com> - 2.13.0-2
- Update requirements

* Wed Dec 14 2005 Matthias Clasen <mclasen@redhat.com> - 2.13.0-1
- Update to 2.13.0
- Comment out the fileselector patches for now, these
  will need updating for the new-mdi branch

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Oct  6 2005 Matthias Clasen <mclasen@redhat.com> - 2.12.1-1
- Update to 2.12.1

* Thu Sep  8 2005 Matthias Clasen <mclasen@redhat.com> - 2.12.0-1
- Update to 2.12.0

* Tue Aug 16 2005 Matthias Clasen <mclasen@redhat.com> 
- New upstream version

* Thu Aug  4 2005 Matthias Clasen <mclasen@redhat.com> - 2.10.4-1
- New upstream version

* Wed Aug 03 2005 Ray Strode <rstrode@redhat.com> - 2.10.3-1
- Update to upstream version 2.10.3

* Mon Jun 13 2005 Ray Strode <rstrode@redhat.com> 1:2.10.2-6
- Remove some patches that are already upstream 

* Tue Jun 07 2005 Ray Strode <rstrode@redhat.com> 1:2.10.2-5
- Dont pass user input as format specifiers to
  gtk_message_dialog_new (bug 159657).

* Thu Apr 14 2005 John (J5) Palmieri <johnp@redhat.com> - 2.10.2-3
- Revert the addition of the gedit icon to the hicolor theme as
  the new gnome-icon-theme package does the right thing

* Tue Apr 12 2005 Matthias Clasen <mclasen@redhat.com> - 2.10.2-2
- Add the icon to the hicolor theme, and rename it to what
  the .desktop file says.

* Fri Apr  8 2005 Ray Strode <rstrode@redhat.com> - 2.10.2-1
- Update to upstream version 2.10.2

* Tue Mar 29 2005 Warren Togami <wtogami@redhat.com> - 2.10.0-2
- devel req libgnomeprintui22-devel for pkgconfig (#152487)

* Thu Mar 17 2005 Ray Strode <rstrode@redhat.com> - 2.10.0-1
- Update to upstream version 2.10.0

* Thu Mar  3 2005 Marco Pesenti Gritti <mpg@redhat.com> 1:2.9.7-1
- Update to 2.9.7

* Wed Feb  9 2005 Matthias Clasen <mclasen@redhat.com> 1:2.9.6-1
- Update to 2.9.6

* Sun Jan 30 2005 Matthias Clasen <mclasen@redhat.com> 1:2.9.5-1
- Update to 2.9.5

* Thu Nov  4 2004 Marco Pesenti Gritti <mpg@redhat.com> 1:2.8.1-2
- Update the desktop files database. (RH Bug: 135571)

* Mon Oct 11 2004 Dan Williams <dcbw@redhat.com> 1:2.8.1-1
- Update to 2.8.1

* Wed Sep 22 2004 Dan Williams <dcbw@redhat.com> 1:2.8.0-1
- Update to 2.8.0

* Wed Sep 15 2004 John (J5) Palmieri <johnp@redhat.com> 1:2.7.92-2
- Added the spelling plugin to the default gconf schema so that the
  tools menu is not empty (RH Bug: 31607)

* Tue Aug 31 2004 Alex Larsson <alexl@redhat.com> 1:2.7.92-1
- update to 2.7.92

* Wed Aug 18 2004 Dan Williams <dcbw@redhat.com> 1:2.7.91-1
- Update to 2.7.91

* Tue Aug  3 2004 Owen Taylor <otaylor@redhat.com> - 1:2.7.90-1
- Upgrade to 2.7.90
- Add patch to use Pango font names, not gnome-print font names

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sat May 15 2004 Dan Williams <dcbw@redhat.com> 1:2.6.1-1
- Upgrade to 2.6.1

* Fri Apr 16 2004 Dan Williams <dcbw@redhat.com> 1:2.6.0-4
- Gnome.org #137825 Gedit crash on Find/Replace dialog close
    when hitting escape

* Tue Apr 13 2004 Warren Togami <wtogami@redhat.com> 1:2.6.0-3
- #111156 BR intltool scrollkeeper gettext
- #111157 -devel R eel2-devel gtksourceview-devel
- rm bogus BR esound

* Thu Apr 08 2004 Dan Williams <dcbw@redhat.com> 1:2.6.0-2
- Fix dumb bug in ~/.recently-used patch where lockf() could
    never succeed

* Wed Mar 31 2004 Dan Williams <dcbw@redhat.com> 1:2.6.0-1
- Update to gedit-2.6.0 sources

* Thu Mar 18 2004 Dan Williams <dcbw@redhat.com> 1:2.5.92-1
- Update to gedit-2.5.92 sources

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb 25 2004 Dan Williams <dcbw@redhat.com> 1:2.5.90-1
- fix dumbness in the egg-recent file locking patch
- Remove the autotools-1.8 patch because it is no longer
    needed
- Require gtksourceview-devel >= 0.9 due to update to 2.5.90
- Update to gedit-2.5.90

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Feb 11 2004 Dan Williams <dcbw@redhat.com> 1:2.5.3-3
- Correctly convert last path from open/save into a directory
   for storing in gconf, not a file

* Fri Feb 06 2004 Dan Williams <dcbw@redhat.com> 1:2.5.3-2
- Bring file selector size/last path patch up to 2.5.3
- Fix up the recent-files locking algorithm to have finer
   resolution timeouts

* Wed Jan 28 2004 Alexander Larsson <alexl@redhat.com> 1:2.5.3-1
- update to 2.5.3

* Mon Jan 19 2004 Dan Williams <dcbw@redhat.com> 1:2.4.0-5
- Work around recent files locking contention when using NFS
    home directories (gnome.org #131930)
- Make Find and Replace dialogs use a cancel button, so that
    pressing escape makes them close (gnome.org #131927)

* Thu Jan  8 2004 Dan Williams <dcbw@redhat.com> 1:2.4.0-4
- Remeber file selector size and last directory on open/save
   (gnome.org #123787)
- Small hack to work around switch from autotools 1.7 - 1.8

* Tue Oct 21 2003 Matt Wilson <msw@redhat.com> 1:2.4.0-3 
- eel_read_entire_file takes a pointer to an int, not to a gsize
  (#103933)

* Tue Oct  7 2003 Owen Taylor <otaylor@redhat.com> 1:2.4.0-2
- Fix bug with multibyte chars in shell-output plugin (#104027, Jens Petersen)
- Add missing BuildRequires on eel2, aspell-devel (#87746, Alan Cox)
- Add versioned Requires on eel2, libgnomeui (#103363, Jens Petersen)

* Fri Oct  3 2003 Alexander Larsson <alexl@redhat.com> 1:2.4.0-1
- 2.4.0

* Mon Sep 22 2003 Bill Nottingham <notting@redhat.com> 1:2.3.5-2
- fix defattr (#103333)

* Tue Aug 26 2003 Jonathan Blandford <jrb@redhat.com>
- require the new gtksourceview

* Fri Aug 15 2003 Jonathan Blandford <jrb@redhat.com> 1:2.3.3-1
- update for GNOME 2.4

* Tue Jul 29 2003 Havoc Pennington <hp@redhat.com> 1:2.2.2-2
- rebuild

* Mon Jul  7 2003 Havoc Pennington <hp@redhat.com> 1:2.2.2-1
- 2.2.2
- fix name of gettext domain
- remove recent-monitor patch now upstream

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu May  1 2003 Havoc Pennington <hp@redhat.com> 1:2.2.0-3
- patch configure.in for new aspell

* Mon Apr 28 2003 Tim Powers <timp@redhat.com> 1:2.2.0-2
- rebuild to fix broken libpspell deps

* Tue Feb  4 2003 Alexander Larsson <alexl@redhat.com> 1:2.2.0-1
- Update to 2.2.0
- Add patch to disable recent files monitoring
- Bump libgnomeprint requirements

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Dec 13 2002 Tim Powers <timp@redhat.com> 1:2.1.4-1
- update to 2.1.4

* Mon Dec  9 2002 Havoc Pennington <hp@redhat.com>
- 2.1.3
- fix unpackaged files

* Thu Aug 15 2002 Owen Taylor <otaylor@redhat.com>
- Add missing bonobo server files (#71261, Taco Witte)
- Remove empty NEWS, FAQ files from %%doc (#66079)

* Thu Aug  1 2002 Havoc Pennington <hp@redhat.com>
- fix desktop file really

* Thu Aug  1 2002 Havoc Pennington <hp@redhat.com>
- fix desktop file

* Mon Jul 29 2002 Havoc Pennington <hp@redhat.com>
- 2.0.2
- build with new gail

* Tue Jul 23 2002 Havoc Pennington <hp@redhat.com>
- 2.0.1

* Tue Jun 25 2002 Owen Taylor <otaylor@redhat.com>
- 2.0.0, fix missing locale files

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- 1.199.0
- use desktop-file-install
- remove static libs from plugins dir

* Sat Jun 08 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- 1.121.1

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- 1.120.0

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- 1.118.0

* Fri Apr 19 2002 Havoc Pennington <hp@redhat.com>
- move to gnome 2 version

* Thu Apr 18 2002 Havoc Pennington <hp@redhat.com>
- fix ko.po

* Thu Apr 18 2002 Havoc Pennington <hp@redhat.com>
- get correct po files from elvis 

* Thu Apr 18 2002 Havoc Pennington <hp@redhat.com>
- gedit-pofiles.tar.gz, not gedit-po.tar.gz

* Mon Apr 15 2002 Havoc Pennington <hp@redhat.com>
- merge translations

* Fri Mar 29 2002 Havoc Pennington <hp@redhat.com>
- gettextize default font

* Thu Mar 28 2002 Havoc Pennington <hp@redhat.com>
- more multibyte fixes #61948

* Wed Mar 27 2002 Havoc Pennington <hp@redhat.com>
- 0.9.7 for multibyte support

* Tue Mar 26 2002 Akira TAGOH <tagoh@redhat.com> 0.9.4-11
- gedit-0.9.4-printprefs.patch: I forgot to add to POTFILES.in...
- gedit-po.tar.gz: added. it's on CVS now.

* Sun Mar 24 2002 Akira TAGOH <tagoh@redhat.com> 0.9.4-10
- gedit-0.9.4-printprefs.patch: fix typo and sanity check.

* Mon Mar 04 2002 Akira TAGOH <tagoh@redhat.com> 0.9.4-9
- Applied a font selector patch for the printing
- fix BuildRequires for automake-1.4

* Mon Jan 28 2002 Havoc Pennington <hp@redhat.com>
- rebuild in rawhide
- fix up cflags for moved gnome headers

* Thu Jul 19 2001 Havoc Pennington <hp@redhat.com>
- add some more build requires

* Tue Jul 17 2001 Havoc Pennington <hp@redhat.com>
- require libglade-devel to build

* Fri Jun 15 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Fri Feb 23 2001 Akira TAGOH <tagoh@redhat.com>
- Fixed preview for !ja locale.

* Wed Feb 07 2001 Akira TAGOH <tagoh@redhat.com>
- Fixed handling fontset. (Bug#24998)
- Added print out for multibyte patch.

* Fri Dec 29 2000 Matt Wilson <msw@redhat.com>
- 0.9.4

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- Up Epoch and release

* Wed Aug 09 2000 Jonathan Blandford <jrb@redhat.com>
- include glade files so that it will actually work.

* Tue Aug 01 2000 Jonathan Blandford <jrb@redhat.com>
- upgrade package to newer version at request of author.

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jun 19 2000 Preston Brown <pbrown@redhat.com>
- FHS paths

* Sun Jun 11 2000 Jonathan Blandford <jrb@redhat.com>
- update to 0.7.9.  Somewhat untested.

* Fri Feb 11 2000 Jonathan Blandford <jrb@redhat.com>
- removed "reverse search function as it doesn't work.

* Thu Feb 03 2000 Preston Brown <pbrown@redhat.com>
- rebuild to gzip man pages

* Mon Jan 17 2000 Elliot Lee <sopwith@redhat.com>
- If I don't put in a log entry here, people will be very upset about not
  being able to find out that I am to blame for the 0.6.1 upgrade

* Mon Aug 16 1999 Michael Fulbright <drmike@redhat.com>
- version 0.5.4

* Sat Feb 06 1999 Michael Johnson <johnsonm@redhat.com>
- Cleaned up a bit for Red Hat use

* Thu Oct 22 1998 Alex Roberts <bse@dial.pipex.com>
- First try at an RPM
